server:
  port: 8080
  servlet:
    context_path: /
  compression:
    enabled: true
    mime-types: application/json,application/xml,text/html,text/xml,text/plain
spring:
  profiles:
    active: dev
  datasource:
    url: jdbc:mysql://rdsave1o67m1ido6gwp6public.mysql.rds.aliyuncs.com/dingdong?useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2b8
    username: microball
    password: 2wsx@WSX#EDC
    hikari:
      minimum-idle: 5
      maximum-pool-size: 30
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  jpa:
    database: MySQL
    database_platform: org.hibernate.dialect.MySQL5InnoDBDialect
    hibernate:
      ddl_auto: update
    properties:
      hibernate:
        enable_lazy_load_no_trans: true
  redis:
    host: 127.0.0.1
    port: 6379
    lettuce:
      pool:
        max_active: 8
        max_idle: 8
        min_idle: 0
  servlet:
    multipart:
      max_file_size: 100MB
      max_request_size: 100MB
jwt:
  secret: XvAD0kboD76Dpebm
  header: Authorization
  expiration: 2592000 #30days
wx:
  #    mp:
  #        app_id: wx2375cba2eec2c479
  #        app_secret: 28e4829124860d9ef9e2f32aeefd1111
  miniapp:
    app_id: wx6517cbf58115c508
    app_secret: 8af0e8ba28ffddfb7e574e6c7cb6aaf1
    msg_token: msgToken
    msg_aes_key: aesKey
    msg_format: JSON
#    pay:
#        appId: wx2375cba2eec2c479
#        mchId: 1529090291
#        mchKey: uDusnGcUqYyWqsBdmvuioxDhtgZErwtu
#        subAppId: #服务商模式下的子商户公众账号ID
#        subMchId: #服务商模式下的子商户号
#        keyPath: classpath:/cert/apiclient_cert.p12
#        notifyUrl: http://zmj.izouma.com/wx/payNotify
#        refundNotifyUrl: http://zmj.izouma.com/wx/refundNotify
storage:
  provider: aliyun
  local_path: /var/www/upload/
aliyun:
  access-key-id: PXzJyah5rZfWHIIH
  access-key-secret: e1MS6j0wypXJrw8CM0hObZu8qKbfah
  oss-end-point: oss-cn-hangzhou.aliyuncs.com
  oss-bucket-name: idingdong
  oss-domain: https://idingdong.oss-cn-hangzhou.aliyuncs.com
general:
  host: http://dingdong.izouma.com
  notify-url: http://dingdong.izouma.com/pay/notify
ksher:
  appid: 35005
  private_key: MIICYgIBAAKBgQCiZ3p8NT6SnDwsH6tkt3YKWyYqxWosEZKABS6F/KVnid4z/ry7TmVhjxSC+tKRah0EpcKJ2NwBwAegcMCKkRP0jvhC6
    pYPtQ7maLTUGeYOoMc6BT2muJtQTp+SktygTpX+c63N1JuPdHijAV9FYA4tA8R9bT1Mq437YBUc7A7NAQIDAQABAoGAZs32XVYfLBO2i3/osTLpiBi3C
    nA5i3f8MwoUr0CFPAusG2Hv+unfh2hZZah9TwvLHrwHb9dVPc5fhZKZ3yMLDbufLxyEORVSDnTRVti3t9ez/aP0TJCbbly8GLUzHMucpixIqjdyAcM
    TEnwmIhtXh1CjfcS4YU2li0VYeP29SpkCRQDkPAgKfDR7wqtzfzItrnlzAT8vuEEss7Dn0hQHtbXrLqgfC+58QP+M8mpPlkLcu6xVeVgzarAafgMCX
    agNvjmPev54awI9ALYpRtZLBLOvuUXsuNZJytSIeAXHMg5DIiE3FVog7cKwGsbe22dERYW6g9uJ21xljLEwMIH+TNapxsYbQwJFAKZe8EmcYrG4pTx
    rAwvzvEpOJV5GxROt5Q4HwFwiZHsMprcC/pSK2P5Ik6ByW0kGcUhZTScl5Ttakhz+YouqF9F0id0DAj0AmLy9Z5sZQyzZVXcqeIsBJfmTYYznPKwvp
    tgP8DViBncwzIU6RDkrbfi47NCHfM6tDDjSw3ydovRR9fQPAkUAtIEVG4Xbm4kgixYF9NuDwPSsEh3MePD4lHhoACjV9SlVpmCOnCP6guvcziLrmPg
    FZUL4HL/31DBbNvk5WYlgirCewsY=

tencent:
  secret_id: AKIDNZU9ZiEJn03rPgNNq1wbhXIo43nFpqRl
  secret_key: OWZNuCNK2UorFOG5mGXYCakenjfBAsZ0
  sms_appid: 1400405705
---

spring:
  profiles: test

---

spring:
  profiles: prod

---
IMConfig:
  sdkAppId: 1400421982
  secretKey: 81b983f145a2b36f3547821bd1724f3bb1d465197faef69c72e8e99231edb470

